## linux-UFRII-drv-v370-uken-05.tar.gz

=== Makefile ===
#################################################
# LIPSLX Driver for PDAPI               #
#   Integrated Makefile                  #
#################################################

SRCDIRS=buftool cpca pstoufr2cpca cngplp
INSDIRS=cpca pstoufr2cpca cngplp

### Make modules ###
all:
	for dir in $(SRCDIRS); do\
		echo Making modules $$dir ...;\
		(cd $$dir; make) || exit 1;\
	done
	@echo Make completed.

### Install modules ###
install:
	for dir in $(INSDIRS); do\
		echo Installing modules $$dir ...;\
		(cd $$dir; make install) || exit 1;\
	done

### Uninstall modules ###
uninstall:
	for dir in $(INSDIRS); do\
		echo Uninstalling modules $$dir ...;\
		(cd $$dir; make uninstall) || exit 1;\
	done

### Clean-up objects files ###
clean:
	for dir in $(SRCDIRS); do\
		echo Cleaning $$dir ...;\
		(cd $$dir; make clean) || exit 1;\
	done

### Clean-up objects and configure files ###
distclean:
	for dir in $(SRCDIRS); do\
		echo distclean $$dir ...;\
		(cd $$dir; make distclean) || exit 1;\
	done
